const d3 = require('d3');

require('./button.css');

function create(container, html) {
  const size = 14;

  const button = container.append('button');
  button.html(html);

  button.selectAll('svg')
    .attr({
      width: size + 'px',
      height: size + 'px'
    });

  return button;
}

function top(button) {
  return button
    .classed('top', true);
}

function bottom(button) {
  return button
    .classed('bottom', true);
}

module.exports = {
  create,
  top,
  bottom,
};