const fs = require('fs');
const topology = require('./bad.json');

function mergePolygons(feature, from, to) {
  const coords = feature.geometry.coordinates;
  coords[to][0].splice(0, 1, ...coords[from][0]);
  coords.splice(from, 1);

  if (coords.length === 1) {
    feature.geometry.coordinates = coords[0];
    feature.geometry.type = 'Polygon';
  }
}

mergePolygons(topology.features.find(d => d.properties.CFSAUID === 'P0H'), 1, 2);
mergePolygons(topology.features.find(d => d.properties.CFSAUID === 'S0L'), 0, 1);

fs.writeFileSync('good.json', JSON.stringify(topology));

