## Configuration Options


#### animationDuration
Type: `number`  
Default: `250`  
Units: `ms`

undefined

#### chartName
Type: `string`  
Default: `"templateChart"`  

Name of chart for reporting

#### colorTheme
Type: `select`  
Default: `{"name":"Blue","value":["#B7DAF5","#90c4e4","#73B0D7","#4E8CBA","#31689B"]}`  

The color theme used by the elements

#### digitStrokeColor
Type: `color`  
Default: `"#585858"`  

Color for the border around groups of FSAs

#### digitStrokeWidth
Type: `number`  
Default: `1`  
Units: `px`

Width of the border around groups of FSAs

#### districtStrokeColor
Type: `color`  
Default: `"#333333"`  

Color for the province border

#### districtStrokeWidth
Type: `number`  
Default: `1`  
Units: `px`

Width of the province border

#### fsaLabelFontColor
Type: `color`  
Default: `"#333333"`  

Font color for the FSA labels

#### fsaLabelFontFamily
Type: `font`  
Default: `"Open Sans"`  

Font type for the FSA labels

#### fsaLabelFontSize
Type: `number`  
Default: `13`  
Units: `px`

Font size for the FSA labels

#### height
Type: `number`  
Default: `400`  
Units: `px`

Height of the widget

#### highlightStrokeColor
Type: `color`  
Default: `"#FDECAD"`  

Color for the border around hovered regions

#### highlightStrokeWidth
Type: `number`  
Default: `2`  
Units: `px`

Width of the border around hovered regions

#### isOnMobile
Type: `boolean`  
Default: `false`  

If true, it signals to the widget that it is running on a mobile device. Should be called before draw and then NEVER changed.

#### noDataColor
Type: `color`  
Default: `"#D9D9D9"`  

Fill color that indicates something has no data

#### regionStrokeColor
Type: `color`  
Default: `"#585858"`  

Color for the border around individual FSAs

#### regionStrokeWidth
Type: `number`  
Default: `0.5`  
Units: `px`

Width of the border around indivisual FSAs

#### shouldValidate
Type: `boolean`  
Default: `true`  

Flag for turning off data validation

#### showFsaLabels
Type: `select`  
Default: `{"name":"Show","value":true}`  

Show or hide the labels on the FSAs

#### tooltipBackground
Type: `color`  
Default: `"#555555"`  

Background color for the tooltip

#### tooltipFontColor
Type: `color`  
Default: `"#FFFFFF"`  

Font color for the tooltip text

#### tooltipFontFamily
Type: `string`  
Default: `"Open Sans"`  

Font type for the tooltip text

#### tooltipFontSize
Type: `number`  
Default: `12`  
Units: `px`

Font size for the tooltip text

#### updateSizeableConfigs
Type: `boolean`  
Default: `true`  

Flag for turning off the mimic of illustrator's scale functionality

#### width
Type: `number`  
Default: `700`  
Units: `px`

Width of the widget

