module.exports = function(fsa) {
  const district = fsa[0];
  const digitRegion = fsa[1] + fsa[2];

  switch (district) {
    case 'A':
      return 'Newfoundland and Labrador';
    case 'B':
      return 'Nova Scotia';
    case 'C':
      return 'Prince Edward Island';
    case 'E':
      return 'New Brunswick';
    case 'G':
    case 'H':
    case 'J':
      return 'Quebec';
    case 'K':
    case 'L':
    case 'M':
    case 'N':
    case 'P':
      return 'Ontario';
    case 'R':
      return 'Manitoba';
    case 'S':
      return 'Saskatchewan';
    case 'T':
      return 'Alberta';
    case 'V':
      return 'British Columbia';
    case 'X':
      switch (digitRegion) {
        case '0E':
        case '0G':
        case '1A':
          return 'Northwest Territories';
        case '0A':
        case '0B':
        case '0C':
          return 'Nunavut';
        default:
          return district;
      }
      break;
    case 'Y':
      return 'Yukon';
    default:
      return district;
  }
};