To generate the Canada Topojson file, follow these steps:

* Download the Forward Sortation Area cartographic boundary file from https://www12.statcan.gc.ca/census-recensement/2011/geo/bound-limit/bound-limit-2011-eng.cfm to this directory.

* Convert gfsa000b11a_e.shp to the GeoJSON format by running `ogr2ogr -f "GeoJSON" bad.json gfsa000b11a_e.shp` (GDAL must be installed)

* Fix the bad corners by running `node fixCorners.js`

* Convert the new good.json GeoJSON file to Topojson by navigating to the root of the widget directory, and running `npm run topojson`

* Done. You can now delete every map file other than fsa.json.